package com.hikcreate.demo.domain.imp;

import com.hikcreate.demo.domain.ITestService;
import com.hikcreate.demo.domain.model.TestBo;
import com.hikcreate.demo.infra.data.IADao;
import com.hikcreate.demo.infra.data.mapper.TestMapper;
import com.hikcreate.demo.infra.model.Test;
import com.hikcreate.demo.infra.model.query.TestQuery;
import com.hikcreate.infra.framework.core.Result;
import com.hikcreate.infra.framework.core.excepitonextend.BusinessException;
import com.hikcreate.infra.framework.core.page.PageResult;
import com.sun.org.apache.bcel.internal.generic.RET;
import org.apache.derby.vti.IFastPath;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.sql.SQLException;

/**
 * 测试表 服务实现类
 *
 * @author hikcreate
 * @since 2019-11-11
 */
@Service
public class TestServiceImpl extends BaseServiceImp<TestMapper, Test> implements ITestService {

    /**
     * 多业务聚合
     */
    @Autowired
    private IADao aDao;


    /**
     * 使用TestBo的例子
     *
     * @param obj
     * @return
     */
    @Override
    public PageResult<Test> getList(TestBo obj) {
        //TestBo--->TestQuery  的转换
        return null;
    }

    /**
     * 使用infra 的TestQuery 的例子
     *
     * @param obj
     * @return
     */
    @Override
    public PageResult<Test> getList2(TestQuery obj) {
        return null;
    }

    /**
     * 保存到数据库+redis
     *
     * @param obj
     */
    @Override
    @Transactional
    public void saveAndRedis(Test obj) {
        //存放redis
        //.....
        //存放的到mysql
        //baseMapper.insert(obj);
    }
}
