package com.hikcreate.demo.infra.data.mapper;

import com.hikcreate.demo.infra.model.Test;
import com.hikcreate.demo.infra.model.query.TestQuery;
import com.hikcreate.infra.framework.core.page.PageResult;
import com.hikcreate.infra.mybatisplus.core.mapper.BaseMapper;

/**
 * 测试表 Mapper 接口
 * mybatis-plus 的操作方式
 * 注意：mybatis-plus 提供的基本操作都是动态语句生成方式
 * 如果需要复杂的，请在resources/mapper/TestMapper.xml 写作语句
 * 如果简单的够用，就不需要这个xxxMapper.xml文件
 *
 * @author hikcreate
 * @since 2019-11-11
 */
public interface TestMapper extends BaseMapper<Test> {

    /**
     * 综合服务查询
     *
     * @param query
     * @return
     */
    PageResult<Test> getList(TestQuery query);
}
