package com.hikcreate.demo.infra.model.query;

import com.hikcreate.infra.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

/**
 * Test 的查询类
 *
 * @author mt
 * @date 2020/2/6
 */
@Data
public class TestQuery extends QueryBase {
    /**
     * id
     */
    private String id;

    /**
     * id 不等于
     */
    private String idNotEqual;

    /**
     * 名称等于
     */
    private String name;

    /**
     * 名称的模糊查询
     */
    private String nameLike;
}
